mbed TLS v2.16.5

Data Fields
mbedtls_x509_crt Struct Reference
X.509 module

`#include <x509_crt.h>`

Collaboration diagram for mbedtls_x509_crt:
[legend]

## Data Fields
mbedtls_x509_buf | raw
mbedtls_x509_buf | tbs
int | version
mbedtls_x509_buf | serial
mbedtls_x509_buf | sig_oid
mbedtls_x509_buf | issuer_raw
mbedtls_x509_buf | subject_raw
mbedtls_x509_name | issuer
mbedtls_x509_name | subject
mbedtls_x509_time | valid_from
mbedtls_x509_time | valid_to
mbedtls_pk_context | pk
mbedtls_x509_buf | issuer_id
mbedtls_x509_buf | subject_id
mbedtls_x509_buf | v3_ext
mbedtls_x509_sequence | subject_alt_names
int | ext_types
int | ca_istrue
int | max_pathlen
unsigned int | key_usage
mbedtls_x509_sequence | ext_key_usage
unsigned char | ns_cert_type
mbedtls_x509_buf | sig
mbedtls_md_type_t | sig_md
mbedtls_pk_type_t | sig_pk
void * | sig_opts
struct mbedtls_x509_crt * | next

## Detailed Description

Container for an X.509 certificate. The certificate may be chained.

Definition at line 53 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h